Comment 85 for bug 1424491

Running 14.04.2 with original X stack and Utopic kernel. updated fglrx-updates, fglrx-amdcccle-updates to the versions in proposed and it didn’t work, giving several errors;

first got an error due to this bug #1444336

simply selecting the packages for re-installation in synaptic allowed them to install properly, but I then encountered more errors after reboot;

fglrxinfo in terminal gives:

 X Error of failed request: BadRequest (invalid request code or no such operation)
 Major opcode of failed request: 155 (GLX)
 Minor opcode of failed request: 19 (X_GLXQueryServerString)
 Serial number of failed request: 12
 Current serial number in output stream: 12

Trying to start Catalyst Control Center gives

 There was a problem initializing Catalyst Control Center Linux edition. It could be caused by the following.

 No AMD graphics driver is installed, or the AMD driver is not functioning properly.
 Please install the AMD driver appropriate for you AMD hardware, or configure using aticonfig.

Running aticonfig gives

 Unable to open /etc/ati/control, please reinstall the driver.
 aticonfig: No supported adapters detected

Finally, Boinc complains about No usable GPUs found.

Completely removing, restarting and reinstalling fglrx-updates and related packages from proposed and running aticonfig --initial fixes all of these errors. Thus I think there may be problems for people when they try to update fglrx if this version hits the official repos.

Unfortunately I found another problem with Boinc

Boinc now thinks that the gpu doesnt support opencl, giving these errors;

 App version needs OpenCL but GPU doesn't support it

 Application uses missing ATI GPU

Running clinfo seems to indicate that OpenCL is installed.

Boinc recognized it as OpenCl fine with the previous driver version. Thus I think there is something wrong with the driver, specifically OpenCL recognition.